Sync with portage [Wed May 8 08:57:17 MSK 2019].

mhiretskiy 1415
root 5 years ago
parent 7354b304ac
commit 77dee64081

Binary file not shown.

Binary file not shown.

@ -0,0 +1,2 @@
DIST cygwin-rebase-4.4.4.tar.gz 114445 BLAKE2B f0741513fb3b636876ce6e33b882e4075d41606118ec1c663939b2e9a9d8690360011352f27ebfeffc49a644b5de8c5026bcab0fb7fb9b41ff36ee6cd6c031c8 SHA512 d155b05f663fab971c70b6618755ac528d49b96e17017c0fcabf26332e4a50c46ee346705fc59490f741bf37625e94a2bba8cc36d41c23f5643d54d08eb1051b
DIST cygwin-rebase-4.4.4_merge-files-flag-0.patch 15409 BLAKE2B 6f8061903439c9baa508eb130f43fe5e9fe8b71725ab5efe92d6d8a667b71c467f2f0fddd8b4ca22c68087e24bbafc2db6c288ef87d125b23c8f8d35bb1b5a37 SHA512 b067751218026867681c24003a4f224599b5fd6a29920c3662b7964a3447db8b6b680acfaab637de911ecea08c3196bf268eba3237b92830dcbf531e05842fb2

@ -0,0 +1,76 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Core of the automatic rebase facility during postinstall on Cygwin"
HOMEPAGE="https://cygwin.com"
LICENSE="GPL-2"
SLOT="0"
IUSE=""
inherit autotools
if [[ ${PV} == 9999 ]]
then
EGIT_REPO_URI="https://sourceware.org/git/cygwin-apps/rebase.git"
EGIT_REPO_URI="https://github.com/haubi/cygwin-rebase.git"
EGIT_BRANCH="gentoo"
inherit git-r3
else
# Upstream does not provide archived source tarballs from git release tags,
# only non archived cygwin distro packages with embedded source tarballs.
# For now, we download from haubi's github mirror repo, having
# repo name "cygwin-rebase" and tag names like "rebase-4-4-4".
MY_PN=cygwin-rebase-rebase
MY_PV=${PV//./-}
S="${WORKDIR}/${MY_PN}-${MY_PV}"
SRC_URI="
https://github.com/haubi/cygwin-rebase/archive/rebase-${MY_PV}.tar.gz -> ${P}.tar.gz
https://github.com/haubi/cygwin-rebase/compare/rebase-${MY_PV}...rebase-${MY_PV}_merge-files-flag-0.patch -> ${P}_merge-files-flag-0.patch
"
PATCHES=( "${DISTDIR}/${P}_merge-files-flag-0.patch" )
KEYWORDS="-* ~x64-cygwin"
fi
DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""
src_prepare() {
default
# do not bother upstream with bug reports yet
sed -e "/AC_INIT/{s|rebase|${PN}|;s|cygwin@cygwin.com|https://bugs.gentoo.org/|}" \
-i configure.ac || die
eautoreconf
}
src_configure() {
econf --with-posix-shell="${BASH}"
}
src_install() {
default
# do not work nor make so much sense in Gentoo Prefix
rm -f "${ED}"/usr/bin/{rebase,peflags}all || die
}
pkg_preinst() {
local rebasedb
local baseaddr
case ${CHOST} in
x86_64-*-cygwin*)
rebasedb=/etc/rebase.db.x86_64
baseaddr=0x1000000000
;;
esac
[[ ${rebasedb} ]] || die "CHOST ${CHOST} is not supported for ${PN}."
[[ -s ${EROOT}${rebasedb} ]] && return 0
einfo "Creating initial rebase database with default base address ${baseaddr}..."
cp /bin/cygwin1.dll "${T}/initial.dll" || die
"${ED}/usr/bin/rebase" --verbose "--base=${baseaddr}" --database "${T}/initial.dll" || die
eend $?
}

@ -0,0 +1,76 @@
# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Core of the automatic rebase facility during postinstall on Cygwin"
HOMEPAGE="https://cygwin.com"
LICENSE="GPL-2"
SLOT="0"
IUSE=""
inherit autotools
if [[ ${PV} == 9999 ]]
then
EGIT_REPO_URI="https://sourceware.org/git/cygwin-apps/rebase.git"
EGIT_REPO_URI="https://github.com/haubi/cygwin-rebase.git"
EGIT_BRANCH="gentoo"
inherit git-r3
else
# Upstream does not provide archived source tarballs from git release tags,
# only non archived cygwin distro packages with embedded source tarballs.
# For now, we download from haubi's github mirror repo, having
# repo name "cygwin-rebase" and tag names like "rebase-4-4-4".
MY_PN=cygwin-rebase-rebase
MY_PV=${PV//./-}
S="${WORKDIR}/${MY_PN}-${MY_PV}"
SRC_URI="
https://github.com/haubi/cygwin-rebase/archive/rebase-${MY_PV}.tar.gz -> ${P}.tar.gz
https://github.com/haubi/cygwin-rebase/compare/rebase-${MY_PV}...rebase-${MY_PV}_merge-files-flag-0.patch -> ${P}_merge-files-flag-0.patch
"
PATCHES=( "${DISTDIR}/${P}_merge-files-flag-0.patch" )
KEYWORDS="-* ~x64-cygwin"
fi
DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""
src_prepare() {
default
# do not bother upstream with bug reports yet
sed -e "/AC_INIT/{s|rebase|${PN}|;s|cygwin@cygwin.com|https://bugs.gentoo.org/|}" \
-i configure.ac || die
eautoreconf
}
src_configure() {
econf --with-posix-shell="${BASH}"
}
src_install() {
default
# do not work nor make so much sense in Gentoo Prefix
rm -f "${ED}"/usr/bin/{rebase,peflags}all || die
}
pkg_preinst() {
local rebasedb
local baseaddr
case ${CHOST} in
x86_64-*-cygwin*)
rebasedb=/etc/rebase.db.x86_64
baseaddr=0x1000000000
;;
esac
[[ ${rebasedb} ]] || die "CHOST ${CHOST} is not supported for ${PN}."
[[ -s ${EROOT}${rebasedb} ]] && return 0
einfo "Creating initial rebase database with default base address ${baseaddr}..."
cp /bin/cygwin1.dll "${T}/initial.dll" || die
"${ED}/usr/bin/rebase" --verbose "--base=${baseaddr}" --database "${T}/initial.dll" || die
eend $?
}

@ -0,0 +1,22 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>haubi@gentoo.org</email>
<name>Michael Haubenwallner</name>
</maintainer>
<longdescription lang="en">
The rebaseall utility is a convenient way for users that suffer from the
Cygwin rebase problem to rebase their entire system (i.e., all of their
DLLs). The following is a list of known Cygwin applications that are
affected by the rebase problem:
Apache
Perl
Python
The rebase problem is due to fork() failing when it is unable to load
DLLs in the child at the same address as in the parent. This is caused
by DLLs which have conflicting base addresses.
</longdescription>
</pkgmetadata>

Binary file not shown.

@ -14,7 +14,7 @@ SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="unRAR"
# subslot = soname version
SLOT="0/5"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~m68k ~mips ppc ppc64 s390 ~sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE=""
RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"

Binary file not shown.

@ -1,3 +1,3 @@
DIST certbot-0.32.0.tar.gz 1284873 BLAKE2B c3fa538de87b67680a7bc7465d77ab2947606aec4def3717b5d942c83254ff758d751e137bfe33cb6f9362a11a9bad7fba0337927b638f3af7ddf304d408c447 SHA512 fa61e975d2ce09efa3570118f220cd9f9d2fc8d5ab408feb4c4e50bfa795cb28be6c7a78497fb10bc91e577e908126988197ae5d016be4823c5c4ddb68cbf5a4
DIST certbot-0.33.1.tar.gz 1304071 BLAKE2B 400c12ce254780fc0f336bbcff7917ba1ef4c6a0a708fb9607b79f8e966720a77adea9e56dc110c9424978d18eff15bd372141a0fc79edfb9f8fcc41f5f09f2b SHA512 055030e1ab1d3eb57b980c44732c8ec623d99de2d797a2b825bd2b816fce5b4c4d63d09178eb0a79fb83d991d63f00a149cc043067a2ae42a0ddcaa4fd329979
DIST certbot-0.34.0.tar.gz 1346939 BLAKE2B db0d7bc716206ff9bebcf953b72e29f46e335209d70e518eeb11d944bab26e2fbe15c6bbe448861cbd71c744dfc22aa8cb54b96dfc5d15d497af8a91cfbc6e45 SHA512 24d4a58bcc220451532b1b7d1ddaa90ef773935ff65c2b06e121f044b5575d159555a757660abebd72ff4134a257394dbc99c981729d846d565c75f692317a30
DIST certbot-0.34.1.tar.gz 1347164 BLAKE2B e35ebd3a2f2650e101f018bed73f450bf8d3acf229a4bcb1c329b90cfc899135e6d0013ee2082d6563e88ad16e3ed349c696d9855ee07b453c6b260aa4dcb9eb SHA512 18888aeac2208578063a4b099ae2e6fc706596c6288fce2f50921dfc44e6ed3becce4a9e7d5540f32e4a398a65db2eb8c86b06d93e3f3953b2f4ca9b312b1057

@ -11,7 +11,7 @@ SRC_URI="https://github.com/P-H-C/phc-winner-argon2/archive/${PV}.tar.gz -> ${P}
LICENSE="|| ( Apache-2.0 CC0-1.0 )"
SLOT="0/1"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ~ppc64 ~s390 ~sparc x86 ~amd64-fbsd"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ~ppc64 ~s390 sparc x86 ~amd64-fbsd"
IUSE="static-libs"
S="${WORKDIR}/phc-winner-${P}"

@ -1,3 +1,3 @@
DIST certbot-0.32.0.tar.gz 1284873 BLAKE2B c3fa538de87b67680a7bc7465d77ab2947606aec4def3717b5d942c83254ff758d751e137bfe33cb6f9362a11a9bad7fba0337927b638f3af7ddf304d408c447 SHA512 fa61e975d2ce09efa3570118f220cd9f9d2fc8d5ab408feb4c4e50bfa795cb28be6c7a78497fb10bc91e577e908126988197ae5d016be4823c5c4ddb68cbf5a4
DIST certbot-0.33.1.tar.gz 1304071 BLAKE2B 400c12ce254780fc0f336bbcff7917ba1ef4c6a0a708fb9607b79f8e966720a77adea9e56dc110c9424978d18eff15bd372141a0fc79edfb9f8fcc41f5f09f2b SHA512 055030e1ab1d3eb57b980c44732c8ec623d99de2d797a2b825bd2b816fce5b4c4d63d09178eb0a79fb83d991d63f00a149cc043067a2ae42a0ddcaa4fd329979
DIST certbot-0.34.0.tar.gz 1346939 BLAKE2B db0d7bc716206ff9bebcf953b72e29f46e335209d70e518eeb11d944bab26e2fbe15c6bbe448861cbd71c744dfc22aa8cb54b96dfc5d15d497af8a91cfbc6e45 SHA512 24d4a58bcc220451532b1b7d1ddaa90ef773935ff65c2b06e121f044b5575d159555a757660abebd72ff4134a257394dbc99c981729d846d565c75f692317a30
DIST certbot-0.34.1.tar.gz 1347164 BLAKE2B e35ebd3a2f2650e101f018bed73f450bf8d3acf229a4bcb1c329b90cfc899135e6d0013ee2082d6563e88ad16e3ed349c696d9855ee07b453c6b260aa4dcb9eb SHA512 18888aeac2208578063a4b099ae2e6fc706596c6288fce2f50921dfc44e6ed3becce4a9e7d5540f32e4a398a65db2eb8c86b06d93e3f3953b2f4ca9b312b1057

@ -1,3 +1,3 @@
DIST certbot-0.32.0.tar.gz 1284873 BLAKE2B c3fa538de87b67680a7bc7465d77ab2947606aec4def3717b5d942c83254ff758d751e137bfe33cb6f9362a11a9bad7fba0337927b638f3af7ddf304d408c447 SHA512 fa61e975d2ce09efa3570118f220cd9f9d2fc8d5ab408feb4c4e50bfa795cb28be6c7a78497fb10bc91e577e908126988197ae5d016be4823c5c4ddb68cbf5a4
DIST certbot-0.33.1.tar.gz 1304071 BLAKE2B 400c12ce254780fc0f336bbcff7917ba1ef4c6a0a708fb9607b79f8e966720a77adea9e56dc110c9424978d18eff15bd372141a0fc79edfb9f8fcc41f5f09f2b SHA512 055030e1ab1d3eb57b980c44732c8ec623d99de2d797a2b825bd2b816fce5b4c4d63d09178eb0a79fb83d991d63f00a149cc043067a2ae42a0ddcaa4fd329979
DIST certbot-0.34.0.tar.gz 1346939 BLAKE2B db0d7bc716206ff9bebcf953b72e29f46e335209d70e518eeb11d944bab26e2fbe15c6bbe448861cbd71c744dfc22aa8cb54b96dfc5d15d497af8a91cfbc6e45 SHA512 24d4a58bcc220451532b1b7d1ddaa90ef773935ff65c2b06e121f044b5575d159555a757660abebd72ff4134a257394dbc99c981729d846d565c75f692317a30
DIST certbot-0.34.1.tar.gz 1347164 BLAKE2B e35ebd3a2f2650e101f018bed73f450bf8d3acf229a4bcb1c329b90cfc899135e6d0013ee2082d6563e88ad16e3ed349c696d9855ee07b453c6b260aa4dcb9eb SHA512 18888aeac2208578063a4b099ae2e6fc706596c6288fce2f50921dfc44e6ed3becce4a9e7d5540f32e4a398a65db2eb8c86b06d93e3f3953b2f4ca9b312b1057

@ -1,3 +1,3 @@
DIST certbot-0.32.0.tar.gz 1284873 BLAKE2B c3fa538de87b67680a7bc7465d77ab2947606aec4def3717b5d942c83254ff758d751e137bfe33cb6f9362a11a9bad7fba0337927b638f3af7ddf304d408c447 SHA512 fa61e975d2ce09efa3570118f220cd9f9d2fc8d5ab408feb4c4e50bfa795cb28be6c7a78497fb10bc91e577e908126988197ae5d016be4823c5c4ddb68cbf5a4
DIST certbot-0.33.1.tar.gz 1304071 BLAKE2B 400c12ce254780fc0f336bbcff7917ba1ef4c6a0a708fb9607b79f8e966720a77adea9e56dc110c9424978d18eff15bd372141a0fc79edfb9f8fcc41f5f09f2b SHA512 055030e1ab1d3eb57b980c44732c8ec623d99de2d797a2b825bd2b816fce5b4c4d63d09178eb0a79fb83d991d63f00a149cc043067a2ae42a0ddcaa4fd329979
DIST certbot-0.34.0.tar.gz 1346939 BLAKE2B db0d7bc716206ff9bebcf953b72e29f46e335209d70e518eeb11d944bab26e2fbe15c6bbe448861cbd71c744dfc22aa8cb54b96dfc5d15d497af8a91cfbc6e45 SHA512 24d4a58bcc220451532b1b7d1ddaa90ef773935ff65c2b06e121f044b5575d159555a757660abebd72ff4134a257394dbc99c981729d846d565c75f692317a30
DIST certbot-0.34.1.tar.gz 1347164 BLAKE2B e35ebd3a2f2650e101f018bed73f450bf8d3acf229a4bcb1c329b90cfc899135e6d0013ee2082d6563e88ad16e3ed349c696d9855ee07b453c6b260aa4dcb9eb SHA512 18888aeac2208578063a4b099ae2e6fc706596c6288fce2f50921dfc44e6ed3becce4a9e7d5540f32e4a398a65db2eb8c86b06d93e3f3953b2f4ca9b312b1057

@ -9,7 +9,7 @@ SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ppc ppc64 sparc ~x86"
KEYWORDS="alpha amd64 ppc ppc64 sparc ~x86"
IUSE="nls"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -15,7 +15,7 @@ SRC_URI="https://www.openwall.com/john/j/${MY_P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
CPU_FLAGS="cpu_flags_x86_mmx cpu_flags_x86_sse2 cpu_flags_x86_avx cpu_flags_x86_xop"
IUSE="custom-cflags openmp ${CPU_FLAGS}"

Binary file not shown.

@ -4,3 +4,4 @@ DIST docker-proxy-0.8.0_p20180907.tar.gz 2711336 BLAKE2B ad1fc76347058610e2cd165
DIST docker-proxy-0.8.0_p20181207.tar.gz 2703206 BLAKE2B 46b71a4d6ac9eb0659a45c1956eb967a73b2b73c446d55de3a5b4014149f911daa03c6a914e8d79da53e01892c6592adf0df769b6b5ed3b41f3c4a3c9f979da3 SHA512 9256eedc6ed530506e4e61673a9f45397274093dd61105097d5c650796f0afebc8ad7c550d2dc3cacf94426e3872a2b764906bca46fc907a21b865314c8927d4
DIST docker-proxy-0.8.0_p20190301.tar.gz 2703026 BLAKE2B 0d0da49e1daf260c5d5699cfa8dd447cd6fe83f5903834aa065af52f133910d1f16a06ef7688340d2068e5ac544de8b1a2b9644f65af486077b66d56efd9447f SHA512 8ffd6fc97df4b63b1f83a5eb6d8e63c8c413bcf3e2ff82f507dbf875d0df6903b6fe1546d8625dd3b4681d611aed4702c423d0d5c9621ed57073cbe16bf35200
DIST docker-proxy-0.8.0_p20190405.tar.gz 2703481 BLAKE2B 7df4333c0d5303be5819faa1e984cc516df21d197b08f07fadbe7800f6035cefbeea6a63bf0cc7bca0a23cf324558d0422638e15c7750877fa4fb589e4052ec4 SHA512 a24061cd29c3c9852a435f742e6653da48edd419205be18a37d065b50c2fbf005bfe62a1f909b91781f521b70cb3a9639a4a67e8563e2e39e6dd22f1c7bf82b2
DIST docker-proxy-0.8.0_p20190417.tar.gz 2705315 BLAKE2B 13d2b9caeaf0d2d16dc8cda641e9b13d12bc7c9dcdcf9caa60fb80c2bba9b4c9a15c8c959fdce019367002d58d83859145d70b78431b5fe7e9322d3b127cd0df SHA512 c8e8544a3d8d44dc0f309aa3520a2cf62cee374a06d40473542078de94d88cb484c0dca1cee7ad89fb312c969af1694c848f464d04d61df5a9888058e21a485e

@ -0,0 +1,34 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN="github.com/docker/libnetwork"
if [[ ${PV} == *9999 ]]; then
inherit golang-vcs
else
EGIT_COMMIT="872f0a83c98add6cae255c8859e29532febc0039"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64"
inherit golang-vcs-snapshot
fi
DESCRIPTION="Docker container networking"
HOMEPAGE="https://github.com/docker/libnetwork"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
S=${WORKDIR}/${P}/src/${EGO_PN}
RESTRICT="test" # needs dockerd
src_compile() {
GOPATH="${WORKDIR}/${P}" go build -o "bin/docker-proxy" ./cmd/proxy || die
}
src_install() {
dodoc ROADMAP.md README.md CHANGELOG.md
dobin bin/docker-proxy
}

@ -1 +1,2 @@
DIST docker-18.09.5.tar.gz 15256899 BLAKE2B c55ef822b3e655b0bec9585de6ee346e73d48d388225141097768db9f5ddaeca2d1937274a7131e3e301686e2214a9ed2051dd72c07893bcfccb00424d02df73 SHA512 a6012d202761d6449e347b03759d92f5f45309e72562fd4a619b2a21c62b3f50b1256d2e4820317aa6b412f1eecda66dbd960d322293699433417a5f7ee73486
DIST docker-18.09.6.tar.gz 15257416 BLAKE2B e0f93f09c403f043d3b2f390d50da83565b0520d18b695a8166aa240817cc713eb9eff314d4c7eeba242c25e35c0b6a9ea3a7f1d661d6aca4a40f7e77856a05d SHA512 f05fc78f5891fa0308878690576e245eebb1e72f306f5b629b0e82dc96a04812202a2393ee6fd352bc59a1c5d29d398f0d6cddf545d57b483a051d14d7a0ee28

@ -0,0 +1,299 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EGO_PN="github.com/docker/docker-ce"
if [[ ${PV} = *9999* ]]; then
# Docker cannot be fetched via "go get", thanks to autogenerated code
EGIT_REPO_URI="https://${EGO_PN}.git"
EGIT_CHECKOUT_DIR="${WORKDIR}/${P}/src/${EGO_PN}"
inherit git-r3
else
DOCKER_GITCOMMIT="481bc77"
SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64"
[ "$DOCKER_GITCOMMIT" ] || die "DOCKER_GITCOMMIT must be added manually for each bump!"
inherit golang-vcs-snapshot
fi
inherit bash-completion-r1 golang-base linux-info systemd udev user
DESCRIPTION="The core functions you need to create Docker images and run Docker containers"
HOMEPAGE="https://dockerproject.org"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="apparmor aufs btrfs +container-init device-mapper hardened +overlay pkcs11 seccomp"
# https://github.com/docker/docker/blob/master/project/PACKAGERS.md#build-dependencies
CDEPEND="
>=dev-db/sqlite-3.7.9:3
device-mapper? (
>=sys-fs/lvm2-2.02.89[thin]
)
seccomp? ( >=sys-libs/libseccomp-2.2.1 )
apparmor? ( sys-libs/libapparmor )
"
DEPEND="
${CDEPEND}
dev-go/go-md2man
btrfs? (
>=sys-fs/btrfs-progs-3.16.1
)
"
# https://github.com/docker/docker/blob/master/project/PACKAGERS.md#runtime-dependencies
# https://github.com/docker/docker/blob/master/project/PACKAGERS.md#optional-dependencies
RDEPEND="
${CDEPEND}
>=net-firewall/iptables-1.4
sys-process/procps
>=dev-vcs/git-1.7
>=app-arch/xz-utils-4.9
dev-libs/libltdl
~app-emulation/containerd-1.2.5
~app-emulation/runc-1.0.0_rc6_p20190216[apparmor?,seccomp?]
~app-emulation/docker-proxy-0.8.0_p20190417
container-init? ( >=sys-process/tini-0.18.0[static] )
"
RESTRICT="installsources strip"
S="${WORKDIR}/${P}/src/${EGO_PN}"
# see "contrib/check-config.sh" from upstream's sources
CONFIG_CHECK="
~NAMESPACES ~NET_NS ~PID_NS ~IPC_NS ~UTS_NS
~CGROUPS ~CGROUP_CPUACCT ~CGROUP_DEVICE ~CGROUP_FREEZER ~CGROUP_SCHED ~CPUSETS ~MEMCG
~KEYS
~VETH ~BRIDGE ~BRIDGE_NETFILTER
~NF_NAT_IPV4 ~IP_NF_FILTER ~IP_NF_TARGET_MASQUERADE
~NETFILTER_XT_MATCH_ADDRTYPE ~NETFILTER_XT_MATCH_CONNTRACK ~NETFILTER_XT_MATCH_IPVS
~IP_NF_NAT ~NF_NAT ~NF_NAT_NEEDED
~POSIX_MQUEUE
~USER_NS
~SECCOMP
~CGROUP_PIDS
~MEMCG_SWAP ~MEMCG_SWAP_ENABLED
~BLK_CGROUP ~BLK_DEV_THROTTLING ~IOSCHED_CFQ ~CFQ_GROUP_IOSCHED
~CGROUP_PERF
~CGROUP_HUGETLB
~NET_CLS_CGROUP
~CFS_BANDWIDTH ~FAIR_GROUP_SCHED ~RT_GROUP_SCHED
~IP_VS ~IP_VS_PROTO_TCP ~IP_VS_PROTO_UDP ~IP_VS_NFCT ~IP_VS_RR
~VXLAN
~CRYPTO ~CRYPTO_AEAD ~CRYPTO_GCM ~CRYPTO_SEQIV ~CRYPTO_GHASH ~XFRM_ALGO ~XFRM_USER
~IPVLAN
~MACVLAN ~DUMMY
"
ERROR_KEYS="CONFIG_KEYS: is mandatory"
ERROR_MEMCG_SWAP="CONFIG_MEMCG_SWAP: is required if you wish to limit swap usage of containers"
ERROR_RESOURCE_COUNTERS="CONFIG_RESOURCE_COUNTERS: is optional for container statistics gathering"
ERROR_BLK_CGROUP="CONFIG_BLK_CGROUP: is optional for container statistics gathering"
ERROR_IOSCHED_CFQ="CONFIG_IOSCHED_CFQ: is optional for container statistics gathering"
ERROR_CGROUP_PERF="CONFIG_CGROUP_PERF: is optional for container statistics gathering"
ERROR_CFS_BANDWIDTH="CONFIG_CFS_BANDWIDTH: is optional for container statistics gathering"
ERROR_XFRM_ALGO="CONFIG_XFRM_ALGO: is optional for secure networks"
ERROR_XFRM_USER="CONFIG_XFRM_USER: is optional for secure networks"
pkg_setup() {
if kernel_is lt 3 10; then
ewarn ""
ewarn "Using Docker with kernels older than 3.10 is unstable and unsupported."
ewarn " - http://docs.docker.com/engine/installation/binaries/#check-kernel-dependencies"
fi
if kernel_is le 3 18; then
CONFIG_CHECK+="
~RESOURCE_COUNTERS
"
fi
if kernel_is le 3 13; then
CONFIG_CHECK+="
~NETPRIO_CGROUP
"
else
CONFIG_CHECK+="
~CGROUP_NET_PRIO
"
fi
if kernel_is lt 4 5; then
CONFIG_CHECK+="
~MEMCG_KMEM
"
ERROR_MEMCG_KMEM="CONFIG_MEMCG_KMEM: is optional"
fi
if kernel_is lt 4 7; then
CONFIG_CHECK+="
~DEVPTS_MULTIPLE_INSTANCES
"
fi
if use aufs; then
CONFIG_CHECK+="
~AUFS_FS
~EXT4_FS_POSIX_ACL ~EXT4_FS_SECURITY
"
ERROR_AUFS_FS="CONFIG_AUFS_FS: is required to be set if and only if aufs-sources are used instead of aufs4/aufs3"
fi
if use btrfs; then
CONFIG_CHECK+="
~BTRFS_FS
~BTRFS_FS_POSIX_ACL
"
fi
if use device-mapper; then
CONFIG_CHECK+="
~BLK_DEV_DM ~DM_THIN_PROVISIONING ~EXT4_FS ~EXT4_FS_POSIX_ACL ~EXT4_FS_SECURITY
"
fi
if use overlay; then
CONFIG_CHECK+="
~OVERLAY_FS ~EXT4_FS_SECURITY ~EXT4_FS_POSIX_ACL
"
fi
linux-info_pkg_setup
# create docker group for the code checking for it in /etc/group
enewgroup docker
}
src_compile() {
export GOPATH="${WORKDIR}/${P}"
# setup CFLAGS and LDFLAGS for separate build target
# see https://github.com/tianon/docker-overlay/pull/10
export CGO_CFLAGS="-I${ROOT}/usr/include"
export CGO_LDFLAGS="-L${ROOT}/usr/$(get_libdir)"
# if we're building from a tarball, we need the GITCOMMIT value
[ "$DOCKER_GITCOMMIT" ] && export DOCKER_GITCOMMIT
# fake golang layout
ln -s docker-ce/components/engine ../docker || die
ln -s docker-ce/components/cli ../cli || die
# let's set up some optional features :)
export DOCKER_BUILDTAGS=''
for gd in aufs btrfs device-mapper overlay; do
if ! use $gd; then
DOCKER_BUILDTAGS+=" exclude_graphdriver_${gd//-/}"
fi
done
for tag in apparmor pkcs11 seccomp; do
if use $tag; then
DOCKER_BUILDTAGS+=" $tag"
fi
done
pushd components/engine || die
if use hardened; then
sed -i "s/EXTLDFLAGS_STATIC='/&-fno-PIC /" hack/make.sh || die
grep -q -- '-fno-PIC' hack/make.sh || die 'hardened sed failed'
sed "s/LDFLAGS_STATIC_DOCKER='/&-extldflags -fno-PIC /" \
-i hack/make/dynbinary-daemon || die
grep -q -- '-fno-PIC' hack/make/dynbinary-daemon || die 'hardened sed failed'
fi
# build daemon
VERSION="$(cat ../../VERSION)" \
./hack/make.sh dynbinary || die 'dynbinary failed'
popd || die # components/engine
pushd components/cli || die
# build cli
emake \
LDFLAGS="$(usex hardened '-extldflags -fno-PIC' '')" \
VERSION="$(cat ../../VERSION)" \
GITCOMMIT="${DOCKER_GITCOMMIT}" \
DISABLE_WARN_OUTSIDE_CONTAINER=1 \
dynbinary || die
# build man pages
go build -o gen-manpages github.com/docker/cli/man || die
./gen-manpages --root . --target ./man/man1 || die
./man/md2man-all.sh -q || die
rm gen-manpages || die
# see "components/cli/scripts/docs/generate-man.sh" (which also does "go get" for go-md2man)
popd || die # components/cli
}
src_install() {
dosym containerd /usr/bin/docker-containerd
dosym containerd-shim /usr/bin/docker-containerd-shim
dosym runc /usr/bin/docker-runc
use container-init && dosym tini /usr/bin/docker-init
pushd components/engine || die
newbin "$(readlink -f bundles/latest/dynbinary-daemon/dockerd)" dockerd
newinitd contrib/init/openrc/docker.initd docker
newconfd contrib/init/openrc/docker.confd docker
systemd_dounit contrib/init/systemd/docker.{service,socket}
udev_dorules contrib/udev/*.rules
dodoc AUTHORS CONTRIBUTING.md CHANGELOG.md NOTICE README.md
dodoc -r docs/*
insinto /usr/share/vim/vimfiles
doins -r contrib/syntax/vim/ftdetect
doins -r contrib/syntax/vim/syntax
# note: intentionally not using "doins" so that we preserve +x bits
dodir /usr/share/${PN}/contrib
cp -R contrib/* "${ED}/usr/share/${PN}/contrib"
popd || die # components/engine
pushd components/cli || die
newbin build/docker-* docker
doman man/man*/*
dobashcomp contrib/completion/bash/*
insinto /usr/share/fish/vendor_completions.d/
doins contrib/completion/fish/docker.fish
insinto /usr/share/zsh/site-functions
doins contrib/completion/zsh/_*
popd || die # components/cli
}
pkg_postinst() {
udev_reload
elog
elog "To use Docker, the Docker daemon must be running as root. To automatically"
elog "start the Docker daemon at boot, add Docker to the default runlevel:"
elog " rc-update add docker default"
elog "Similarly for systemd:"
elog " systemctl enable docker.service"
elog
elog "To use Docker as a non-root user, add yourself to the 'docker' group:"
elog " usermod -aG docker youruser"
elog
elog " Devicemapper storage driver has been deprecated"
elog " It will be removed in a future release"
}

Binary file not shown.

@ -13,7 +13,7 @@ SRC_URI="https://salsa.debian.org/manpages-de-team/manpages-de/-/archive/v${PV}/
LICENSE="GPL-3+ man-pages GPL-2+ GPL-2 BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86"
KEYWORDS="alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86"
IUSE=""
RDEPEND="virtual/man"

Binary file not shown.

@ -11,7 +11,7 @@ SRC_URI="https://github.com/rpodgorny/uptimed/archive/v${PV}.tar.gz -> ${P}.tar.
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~mips ppc ppc64 sparc ~x86 ~x86-fbsd"
KEYWORDS="alpha amd64 ~arm hppa ~mips ppc ppc64 sparc ~x86 ~x86-fbsd"
IUSE="static-libs"
pkg_setup() {

@ -1,2 +1,2 @@
DIST yq-2.3.4.tar.gz 5657 BLAKE2B d7e6a37ed157ff2a23b648a54cf729cda1413a627f1169ba938ae89d4bd175270cdc5fa39ca5ea3c31d55d562439296bcce391cb22cd2faccc5f545f2577a12d SHA512 ea530d3f501a8697474b1b77644fdf439326e49fbae158a862e58fba6f939ee5f3ba50f82cc5e990b1ed05c4e7aa9c205635290e6d2507d46e53b68ee467d5e1
DIST yq-2.7.1.tar.gz 13794 BLAKE2B 87fe4961974ab41fc14efb7b85c3db5c13577593253eb236c445f59e4034ce5211173cbdd1680e8b83394068ebcc99962f9f3b7c1cd36a4554aa2769b0a5ce66 SHA512 ad76f6102cdb7b0cc82d57c8120dfe10221b7d7456c4c3dd6e5ed0630d9ab178099f4ee8bfc075f15eb4b35aaef4237fcb0ef01a769a612632b4ef774da2b50a
DIST yq-2.7.2.tar.gz 14010 BLAKE2B ec01d25c5ad1ca5fb38b2a4b412306d0ddf157a6a6fdbf2b55452a487bade60ebdd1bddba231e8f0d8db60994c44322c85918221cc64ea346e36d38ca73c185f SHA512 0671d0f5d5dbd7eee42efef7b8469d2177c2459144afc679bcf1f04165ba1e4ae0e396d9a3fa9ecb3db373671152fa51c835ca6fd2622fa8a243b21bfa547e43

@ -1,24 +0,0 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Command-line YAML processor - jq wrapper for YAML documents"
HOMEPAGE="https://yq.readthedocs.io/ https://github.com/kislyuk/yq/ https://pypi.org/project/yq/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
RDEPEND="app-misc/jq
>=dev-python/pyyaml-3.11[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]"
python_test() {
./test/test.py || die
}

@ -0,0 +1,37 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Command-line YAML processor - jq wrapper for YAML documents"
HOMEPAGE="https://yq.readthedocs.io/ https://github.com/kislyuk/yq/ https://pypi.org/project/yq/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="app-misc/jq
>=dev-python/pyyaml-3.11[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/xmltodict[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
test? (
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/flake8[${PYTHON_USEDEP}]
dev-python/toml[${PYTHON_USEDEP}]
dev-python/wheel[${PYTHON_USEDEP}]
)"
python_prepare_all() {
distutils-r1_python_prepare_all
sed -e 's:unittest.main():unittest.main(verbosity=2):' \
-i test/test.py || die
}
python_test() {
./test/test.py || die "tests failed under ${EPYTHON}"
}

Binary file not shown.

@ -5,7 +5,7 @@
AC_CHECK_LIB(readline, using_history, [], [AC_MSG_ERROR([Could not find readline library])])
# ncurses might be linked in libtinfo
-#AC_CHECK_LIB(tinfo, keypad, [], [AC_MSG_ERROR([Could not find tinfo library])])
+AC_SEARCH_LIBS(keypad, tinfo, [], [AC_MSG_ERROR([Could not find tinfo library])])
+AC_SEARCH_LIBS(tinfow, tinfo, [], [AC_MSG_ERROR([Could not find tinfow library])])
# Checks for header files.
AC_CHECK_HEADER(assert.h)

@ -1,4 +1,4 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -14,7 +14,7 @@ LICENSE="Apache-2.0"
KEYWORDS="amd64 x86 ~amd64-fbsd"
RDEPEND="
sys-libs/ncurses:0="
sys-libs/ncurses:0=[unicode]"
DEPEND="
${RDEPEND}

Binary file not shown.

@ -15,7 +15,6 @@ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~x86 ~amd64-li
IUSE="X +javascript libressl opengl ssl static-libs vanilla"
RDEPEND="
>=dev-lang/mujs-1.0.4
media-libs/freetype:2=[static-libs?]
media-libs/harfbuzz:=[static-libs?,truetype]
media-libs/jbig2dec:=[static-libs?]
@ -73,15 +72,20 @@ src_prepare() {
_emake() {
# When HAVE_OBJCOPY is yes, we end up with a lot of QA warnings.
# We don't use system's freeglut because upstream has a special modified
# version of it that gives mupdf clipboard support. See bug #653298
# As of v1.15.0, mupdf started using symbols in mujs that were not part
# of any release. We thus go back to using the bundled version of it.
# Bug #685244
emake \
GENTOO_PV=${PV} \
HAVE_GLUT=$(usex opengl) \
HAVE_LIBCRYPTO=$(usex ssl) \
HAVE_X11=$(usex X) \
USE_SYSTEM_LIBS=yes \
USE_SYSTEM_MUJS=yes \
USE_SYSTEM_MUJS=no \
USE_SYSTEM_GLUT=no \
HAVE_OBJCOPY=no \
"$@"

Binary file not shown.

@ -78,8 +78,8 @@ local_src_compile() {
case ${MULTILIB_ABI_FLAG} in
abi_x86_64) arch=x86_64 ;;
abi_x86_32) arch=ia32 ;;
abi_ppc_64) arch=ppc64 ;;
abi_ppc_32) arch=ppc32 ;;
# abi_ppc_64) arch=ppc64 ;;
# abi_ppc_32) arch=ppc32 ;;
esac
case "$(tc-getCXX)" in

@ -78,8 +78,8 @@ local_src_compile() {
case ${MULTILIB_ABI_FLAG} in
abi_x86_64) arch=x86_64 ;;
abi_x86_32) arch=ia32 ;;
abi_ppc_64) arch=ppc64 ;;
abi_ppc_32) arch=ppc32 ;;
# abi_ppc_64) arch=ppc64 ;;
# abi_ppc_32) arch=ppc32 ;;
esac
case "$(tc-getCXX)" in

@ -78,8 +78,8 @@ local_src_compile() {
case ${MULTILIB_ABI_FLAG} in
abi_x86_64) arch=x86_64 ;;
abi_x86_32) arch=ia32 ;;
abi_ppc_64) arch=ppc64 ;;
abi_ppc_32) arch=ppc32 ;;
# abi_ppc_64) arch=ppc64 ;;
# abi_ppc_32) arch=ppc32 ;;
esac
case "$(tc-getCXX)" in

@ -79,8 +79,8 @@ local_src_compile() {
case ${MULTILIB_ABI_FLAG} in
abi_x86_64) arch=x86_64 ;;
abi_x86_32) arch=ia32 ;;
abi_ppc_64) arch=ppc64 ;;
abi_ppc_32) arch=ppc32 ;;
# abi_ppc_64) arch=ppc64 ;;
# abi_ppc_32) arch=ppc32 ;;
esac
case "$(tc-getCXX)" in

Binary file not shown.

@ -9,6 +9,7 @@ DIST go-linux-ppc64-bootstrap-1.8.tbz 52315782 BLAKE2B 6be0a48e8bc4e5fed4d34f8aa
DIST go-linux-ppc64le-bootstrap-1.8.tbz 52211575 BLAKE2B 7a28ec5a381369c4e9415c8360e904c2545380513afd328077c584e8af0bf6bd818aa03e5a58c350cbb98facc1c9dccb02b06adcb27233875497cf5d33265912 SHA512 6931d999dd0ee1ff44c4cec48acb27af061f57f87aa74802dcebab78553b46bc8ac732f07fe91e5074dbdd32c55b707994875934bfb12bb4276d71eb1d06c4ba
DIST go-linux-s390x-bootstrap-1.8.tbz 57124869 BLAKE2B 920a176b8f4fc3a816e724324bbb30a383d599e31a0d2093d24797dbcd0e799a662a3589dbb87d2f5dd16df07c4cf8f1e444e87b540ec732746bb025dc9271f8 SHA512 d429cae870d66217ab2e07c74209d3031d97baa4f899b4d70ae6283a1a5b1434b037904c4cfca0b2bc798d5ba0b358c3739e000eccbc74809baf564c5686df5a
DIST go-solaris-amd64-bootstrap-1.8.tbz 54926326 BLAKE2B 0a45312f090d81ebf46fe5950cb65c059e2801394231e715e94145d1f918eb59b10472b2385e57ebd5cfb9eca0ad7290fb118436486b665520bb540970f971ab SHA512 52b849e5b9a940e10de7ba3df0ebdf6e1c5d631de9581d936c9edf8f38e6bb3314acbc2b2d5202b0528fde2a359d52bc0c6f39acf9b1b614725e4b4a947ed10d
DIST go1.11.10.src.tar.gz 21113259 BLAKE2B 2dc704ea092fb4f4bb6c379ecb5104eb9dc5657750fb046810f210f38191d494c926e7a3661f67ea09c3d4090676485ba346daaa6dfe9eebbf3d69acbacea3b8 SHA512 8fab3b96d1c47b8f75b135da9d1a104c485098f6f42041b69336216a57cfd49c0785c8cfa7b016020ded5f0aadd279d7a76feeca33038321a4930139aee28cc8
DIST go1.11.6.src.tar.gz 21113406 BLAKE2B e7372e9bf6190295176c66a328b3e31f9201776f16f1165136e24bdaf5c514d7895dd5880514fa054ee958ed5ff96814de9a555e47b3f6dddd388d1e57c0d05f SHA512 bc29df69a08a4e9e703de72b5eda5f2d63b78f18f3e7a1173eae5c6dd767f29f1b865a2fc3f692e15277df2d45e74ee17875b275eb3fc50aac2b88082e618bf5
DIST go1.11.7.src.tar.gz 21113223 BLAKE2B e58a947a43e8dbabbe6d4dc1384239b01160e4d9cc88ed866c8d6e5a0ef66dd89203b9fb95c14c5fcc50ad47f75b17440cf1df34cb793a435d7744e630845307 SHA512 26bc2a3ab51ebe1179cd83897dae6ca17f30126189bf2c0b60060a25f3f22e72bcda383055825a9151948f074a103a177ab5550f5c2d088448bdf5455448061e
DIST go1.11.8.src.tar.gz 21113433 BLAKE2B 272ef36664a180640f14afba18d2f715d5a335134b33cea449d14fd3b568c2322bbbac7aab254987fbd7dcf3d486dc8b1f62f14577ae2e57b21de1720d0f29a7 SHA512 00b57b0ebbbf53f4de718bf40e5dfdaf57cafa9932917d22e9723b5a33a62d335013ab49753d98f8fe30c71daca95c7addd921825fe0c3885942b342773050cc
@ -17,3 +18,4 @@ DIST go1.12.1.src.tar.gz 21963082 BLAKE2B fd9c0ca19e6bd285c52034a88df1a58f96b957
DIST go1.12.2.src.tar.gz 21965624 BLAKE2B 9f4fbe62b37ccaf62517b2e5df3e1ada0155b7cb79067c2a74100df6d96ba89b0e372b5f1b1037b0cf98ea9f52623de00055793d011e5e39e92773a0cd87e41d SHA512 f7b8ffe8d3de7b456ba595deece5b092db8645e95d901826c33428af0151731921437222dcb5d52c9d937da4ebeb3192c30aa17052aa88c9e425e96cac2d79bb
DIST go1.12.3.src.tar.gz 21965718 BLAKE2B 226b1028eb47cee8ccc0b72130a098a65211cf0e54030fe626b6b9cf1c16993e0a9677a443c07abd997e0f2bfbc1711c703a40869ae1ecbb8b8dfa0fbf31c0b2 SHA512 bd33e958f2e8550da14afc0576928d00d2b8ecac569ddcf3551e44a342ce78ad3934e36109cbe6c15d31c55448ccc092f6e1fbf82685d6702402ab67106a1424
DIST go1.12.4.src.tar.gz 21965966 BLAKE2B 6a6d2712769d9195795ca14a7c33a4e025c572317c0a9118f4f610c56f907e0eec99d2ecca37cc6e2005a42b842080d93895d4dfed206f23db32f3b848c9c57f SHA512 45ced5fc23a2786a652dbe66de7bbc039efaba29d884d797d6d0a6eaffb61dfb897905f0733ce74704f8760b1fdedb9963e26c1d9d8dee4a4676e74da5df8792
DIST go1.12.5.src.tar.gz 21971348 BLAKE2B 7de8db4a6c4cd9e1883fbf28357fe99ad9f43f3e015b2063347b1961df128760b720c0dd5549997c7080e6cf0036406430419d4bf033323f26017d3629ad6067 SHA512 ce64105ff71615f9d235cc7c8656b6409fc40cc90d15a28d355fadd9072d2eab842af379dd8bba0f1181715753143e4a07491e0f9e5f8df806327d7c95a34fae

@ -0,0 +1,246 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
export CBUILD=${CBUILD:-${CHOST}}
export CTARGET=${CTARGET:-${CHOST}}
MY_PV=${PV/_/}
inherit toolchain-funcs
BOOTSTRAP_VERSION="bootstrap-1.8"
BOOTSTRAP_DIST="https://dev.gentoo.org/~williamh/dist"
BOOTSTRAP_URI="
${BOOTSTRAP_DIST}/go-linux-amd64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-arm-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-arm64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-ppc64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-ppc64le-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-s390x-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-386-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-freebsd-amd64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-freebsd-386-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-darwin-amd64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-solaris-amd64-${BOOTSTRAP_VERSION}.tbz
"
case ${PV} in
*9999*)
EGIT_REPO_URI="https://github.com/golang/go.git"
inherit git-r3
;;
*)
SRC_URI="https://storage.googleapis.com/golang/go${MY_PV}.src.tar.gz "
S="${WORKDIR}"/go
case ${PV} in
*_beta*|*_rc*) ;;
*)
KEYWORDS="-* ~amd64 ~arm ~arm64 ~ppc64 ~s390 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x64-macos ~x64-solaris"
# The upstream tests fail under portage but pass if the build is
# run according to their documentation [1].
# I am restricting the tests on released versions until this is
# solved.
# [1] https://golang.org/issues/18442
RESTRICT="test"
;;
esac
esac
# If gccgo or a previously installed version of dev-lang/go is not being
# used to build Go, there is no way to know the architecture or operating system
# of the build machine, so we need to download all of our bootstrap
# archives to allow this ebuild to work under crossdev.
#
# https://bugs.gentoo.org/671394
SRC_URI+="!gccgo? ( !system-bootstrap? ( ${BOOTSTRAP_URI} ) )"
DESCRIPTION="A concurrent garbage collected and typesafe programming language"
HOMEPAGE="https://golang.org"
LICENSE="BSD"
SLOT="0/${PV}"
IUSE="gccgo system-bootstrap"
BDEPEND="gccgo? ( >=sys-devel/gcc-5[go] )"
RDEPEND="!<dev-go/go-tools-0_pre20150902"
# These test data objects have writable/executable stacks.
QA_EXECSTACK="
usr/lib/go/src/debug/elf/testdata/*.obj
usr/lib/go/src/*.gox
"
# Do not complain about CFLAGS, etc, since Go doesn't use them.
QA_FLAGS_IGNORED='.*'
REQUIRES_EXCLUDE="/usr/lib/go/src/debug/elf/testdata/*"
# The tools in /usr/lib/go should not cause the multilib-strict check to fail.
QA_MULTILIB_PATHS="usr/lib/go/pkg/tool/.*/.*"
# Do not strip this package. Stripping is unsupported upstream and may
# fail.
RESTRICT+=" strip"
DOCS=(
AUTHORS
CONTRIBUTING.md
CONTRIBUTORS
PATENTS
README.md
)
go_arch()
{
# By chance most portage arch names match Go
local portage_arch=$(tc-arch $@)
case "${portage_arch}" in
x86) echo 386;;
x64-*) echo amd64;;
ppc64) [[ $(tc-endian $@) = big ]] && echo ppc64 || echo ppc64le ;;
s390) echo s390x ;;
*) echo "${portage_arch}";;
esac
}
go_arm()
{
case "${1:-${CHOST}}" in
armv5*) echo 5;;
armv6*) echo 6;;
armv7*) echo 7;;
*)
die "unknown GOARM for ${1:-${CHOST}}"
;;
esac
}
go_os()
{
case "${1:-${CHOST}}" in
*-linux*) echo linux;;
*-darwin*) echo darwin;;
*-freebsd*) echo freebsd;;
*-netbsd*) echo netbsd;;
*-openbsd*) echo openbsd;;
*-solaris*) echo solaris;;
*-cygwin*|*-interix*|*-winnt*)
echo windows
;;
*)
die "unknown GOOS for ${1:-${CHOST}}"
;;
esac
}
go_tuple()
{
echo "$(go_os $@)_$(go_arch $@)"
}
go_cross_compile()
{
[[ $(go_tuple ${CBUILD}) != $(go_tuple) ]]
}
pkg_pretend()
{
# make.bash does not understand cross-compiling a cross-compiler
if [[ $(go_tuple) != $(go_tuple ${CTARGET}) ]]; then
die "CHOST CTARGET pair unsupported: CHOST=${CHOST} CTARGET=${CTARGET}"
fi
[[ ${MERGE_TYPE} != binary ]] &&
use system-bootstrap && ! has_version "dev-lang/go" &&
die "dev-lang/go must be installed to use the system-bootstrap use flag"
}
src_unpack()
{
if [[ ${PV} = 9999 ]]; then
git-r3_src_unpack
else
unpack "go${MY_PV}.src.tar.gz"
fi
use gccgo || use system-bootstrap ||
unpack "go-$(go_os ${CBUILD})-$(go_arch ${CBUILD})-${BOOTSTRAP_VERSION}.tbz"
}
src_compile()
{
export GOROOT_BOOTSTRAP="${WORKDIR}"/go-$(go_os ${CBUILD})-$(go_arch ${CBUILD})-bootstrap
if use gccgo; then
mkdir -p "${GOROOT_BOOTSTRAP}/bin" || die
local go_binary=$(gcc-config --get-bin-path)/go-$(gcc-major-version)
[[ -x ${go_binary} ]] || go_binary=$(
find "${EPREFIX}"/usr/${CHOST}/gcc-bin/*/go-$(gcc-major-version) |
sort -V | tail -n1)
[[ -x ${go_binary} ]] ||
die "go-$(gcc-major-version): command not found"
ln -s "${go_binary}" "${GOROOT_BOOTSTRAP}/bin/go" || die
elif use system-bootstrap; then
export GOROOT_BOOTSTRAP="${EPREFIX}"/usr/lib/go
fi
export GOROOT_FINAL="${EPREFIX}"/usr/lib/go
export GOROOT="$(pwd)"
export GOBIN="${GOROOT}/bin"
# Go's build script does not use BUILD/HOST/TARGET consistently. :(
export GOHOSTARCH=$(go_arch ${CBUILD})
export GOHOSTOS=$(go_os ${CBUILD})
export CC=$(tc-getBUILD_CC)
export GOARCH=$(go_arch)
export GOOS=$(go_os)
export CC_FOR_TARGET=$(tc-getCC)
export CXX_FOR_TARGET=$(tc-getCXX)
if [[ ${ARCH} == arm ]]; then
export GOARM=$(go_arm)
fi
cd src
./make.bash || die "build failed"
}
src_test()
{
go_cross_compile && return 0
cd src
PATH="${GOBIN}:${PATH}" \
./run.bash -no-rebuild || die "tests failed"
}
src_install()
{
local bin_path f x
dodir /usr/lib/go
# There is a known issue which requires the source tree to be installed [1].
# Once this is fixed, we can consider using the doc use flag to control
# installing the doc and src directories.
# [1] https://golang.org/issue/2775
#
# deliberately use cp to retain permissions
cp -R api bin doc lib pkg misc src test "${ED}"/usr/lib/go
if go_cross_compile; then
bin_path="bin/$(go_tuple)"
else
bin_path=bin
fi
for x in ${bin_path}/*; do
f=${x##*/}
dosym ../lib/go/${bin_path}/${f} /usr/bin/${f}
done
einstalldocs
if [[ ${CHOST} == *-darwin* ]] ; then
# fix install_name for test object (binutils_test) on Darwin, it
# is never used in real circumstances
local libmac64="${EPREFIX}"/usr/lib/go/src/cmd/vendor/github.com/
libmac64+=google/pprof/internal/binutils/testdata/lib_mac_64
install_name_tool -id "${libmac64}" "${D}${libmac64}"
fi
}

@ -0,0 +1,246 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
export CBUILD=${CBUILD:-${CHOST}}
export CTARGET=${CTARGET:-${CHOST}}
MY_PV=${PV/_/}
inherit toolchain-funcs
BOOTSTRAP_VERSION="bootstrap-1.8"
BOOTSTRAP_DIST="https://dev.gentoo.org/~williamh/dist"
BOOTSTRAP_URI="
${BOOTSTRAP_DIST}/go-linux-amd64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-arm-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-arm64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-ppc64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-ppc64le-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-s390x-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-linux-386-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-freebsd-amd64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-freebsd-386-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-darwin-amd64-${BOOTSTRAP_VERSION}.tbz
${BOOTSTRAP_DIST}/go-solaris-amd64-${BOOTSTRAP_VERSION}.tbz
"
case ${PV} in
*9999*)
EGIT_REPO_URI="https://github.com/golang/go.git"
inherit git-r3
;;
*)
SRC_URI="https://storage.googleapis.com/golang/go${MY_PV}.src.tar.gz "
S="${WORKDIR}"/go
case ${PV} in
*_beta*|*_rc*) ;;
*)
KEYWORDS="-* ~amd64 ~arm ~arm64 ~ppc64 ~s390 ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x64-macos ~x64-solaris"
# The upstream tests fail under portage but pass if the build is
# run according to their documentation [1].
# I am restricting the tests on released versions until this is
# solved.
# [1] https://golang.org/issues/18442
RESTRICT="test"
;;
esac
esac
# If gccgo or a previously installed version of dev-lang/go is not being
# used to build Go, there is no way to know the architecture or operating system
# of the build machine, so we need to download all of our bootstrap
# archives to allow this ebuild to work under crossdev.
#
# https://bugs.gentoo.org/671394
SRC_URI+="!gccgo? ( !system-bootstrap? ( ${BOOTSTRAP_URI} ) )"
DESCRIPTION="A concurrent garbage collected and typesafe programming language"
HOMEPAGE="https://golang.org"
LICENSE="BSD"
SLOT="0/${PV}"
IUSE="gccgo system-bootstrap"
BDEPEND="gccgo? ( >=sys-devel/gcc-5[go] )"
RDEPEND="!<dev-go/go-tools-0_pre20150902"
# These test data objects have writable/executable stacks.
QA_EXECSTACK="
usr/lib/go/src/debug/elf/testdata/*.obj
usr/lib/go/src/*.gox
"
# Do not complain about CFLAGS, etc, since Go doesn't use them.
QA_FLAGS_IGNORED='.*'
REQUIRES_EXCLUDE="/usr/lib/go/src/debug/elf/testdata/*"
# The tools in /usr/lib/go should not cause the multilib-strict check to fail.
QA_MULTILIB_PATHS="usr/lib/go/pkg/tool/.*/.*"
# Do not strip this package. Stripping is unsupported upstream and may
# fail.
RESTRICT+=" strip"
DOCS=(
AUTHORS
CONTRIBUTING.md
CONTRIBUTORS
PATENTS
README.md
)
go_arch()
{
# By chance most portage arch names match Go
local portage_arch=$(tc-arch $@)
case "${portage_arch}" in
x86) echo 386;;
x64-*) echo amd64;;
ppc64) [[ $(tc-endian $@) = big ]] && echo ppc64 || echo ppc64le ;;
s390) echo s390x ;;
*) echo "${portage_arch}";;
esac
}
go_arm()
{
case "${1:-${CHOST}}" in
armv5*) echo 5;;
armv6*) echo 6;;
armv7*) echo 7;;
*)
die "unknown GOARM for ${1:-${CHOST}}"
;;
esac
}
go_os()
{
case "${1:-${CHOST}}" in
*-linux*) echo linux;;
*-darwin*) echo darwin;;
*-freebsd*) echo freebsd;;
*-netbsd*) echo netbsd;;
*-openbsd*) echo openbsd;;
*-solaris*) echo solaris;;
*-cygwin*|*-interix*|*-winnt*)
echo windows
;;
*)
die "unknown GOOS for ${1:-${CHOST}}"
;;
esac
}
go_tuple()
{
echo "$(go_os $@)_$(go_arch $@)"
}
go_cross_compile()
{
[[ $(go_tuple ${CBUILD}) != $(go_tuple) ]]
}
pkg_pretend()
{
# make.bash does not understand cross-compiling a cross-compiler
if [[ $(go_tuple) != $(go_tuple ${CTARGET}) ]]; then
die "CHOST CTARGET pair unsupported: CHOST=${CHOST} CTARGET=${CTARGET}"
fi
[[ ${MERGE_TYPE} != binary ]] &&
use system-bootstrap && ! has_version "dev-lang/go" &&
die "dev-lang/go must be installed to use the system-bootstrap use flag"
}
src_unpack()
{
if [[ ${PV} = 9999 ]]; then
git-r3_src_unpack
else
unpack "go${MY_PV}.src.tar.gz"
fi
use gccgo || use system-bootstrap ||
unpack "go-$(go_os ${CBUILD})-$(go_arch ${CBUILD})-${BOOTSTRAP_VERSION}.tbz"
}
src_compile()
{
export GOROOT_BOOTSTRAP="${WORKDIR}"/go-$(go_os ${CBUILD})-$(go_arch ${CBUILD})-bootstrap
if use gccgo; then
mkdir -p "${GOROOT_BOOTSTRAP}/bin" || die
local go_binary=$(gcc-config --get-bin-path)/go-$(gcc-major-version)
[[ -x ${go_binary} ]] || go_binary=$(
find "${EPREFIX}"/usr/${CHOST}/gcc-bin/*/go-$(gcc-major-version) |
sort -V | tail -n1)
[[ -x ${go_binary} ]] ||
die "go-$(gcc-major-version): command not found"
ln -s "${go_binary}" "${GOROOT_BOOTSTRAP}/bin/go" || die
elif use system-bootstrap; then
export GOROOT_BOOTSTRAP="${EPREFIX}"/usr/lib/go
fi
export GOROOT_FINAL="${EPREFIX}"/usr/lib/go
export GOROOT="$(pwd)"
export GOBIN="${GOROOT}/bin"
# Go's build script does not use BUILD/HOST/TARGET consistently. :(
export GOHOSTARCH=$(go_arch ${CBUILD})
export GOHOSTOS=$(go_os ${CBUILD})
export CC=$(tc-getBUILD_CC)
export GOARCH=$(go_arch)
export GOOS=$(go_os)
export CC_FOR_TARGET=$(tc-getCC)
export CXX_FOR_TARGET=$(tc-getCXX)
if [[ ${ARCH} == arm ]]; then
export GOARM=$(go_arm)
fi
cd src
./make.bash || die "build failed"
}
src_test()
{
go_cross_compile && return 0
cd src
PATH="${GOBIN}:${PATH}" \
./run.bash -no-rebuild || die "tests failed"
}
src_install()
{
local bin_path f x
dodir /usr/lib/go
# There is a known issue which requires the source tree to be installed [1].
# Once this is fixed, we can consider using the doc use flag to control
# installing the doc and src directories.
# [1] https://golang.org/issue/2775
#
# deliberately use cp to retain permissions
cp -R api bin doc lib pkg misc src test "${ED}"/usr/lib/go
if go_cross_compile; then
bin_path="bin/$(go_tuple)"
else
bin_path=bin
fi
for x in ${bin_path}/*; do
f=${x##*/}
dosym ../lib/go/${bin_path}/${f} /usr/bin/${f}
done
einstalldocs
if [[ ${CHOST} == *-darwin* ]] ; then
# fix install_name for test object (binutils_test) on Darwin, it
# is never used in real circumstances
local libmac64="${EPREFIX}"/usr/lib/go/src/cmd/vendor/github.com/
libmac64+=google/pprof/internal/binutils/testdata/lib_mac_64
install_name_tool -id "${libmac64}" "${D}${libmac64}"
fi
}

@ -16,7 +16,7 @@ SRC_URI="http://ftp.mozilla.org/pub/spidermonkey/prereleases/52/pre1/mozjs-52.9.
LICENSE="NPL-1.1"
SLOT="52"
KEYWORDS="alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ppc64 s390 ~sh ~sparc x86 ~x86-fbsd"
KEYWORDS="alpha amd64 arm arm64 ~hppa ia64 ~mips ppc ppc64 s390 ~sh ~sparc x86 ~x86-fbsd"
IUSE="debug minimal +system-icu test"
RESTRICT="ia64? ( test )"

@ -17,7 +17,7 @@ SRC_URI="https://dev.gentoo.org/~axs/distfiles/${MY_P}.tar.bz2
LICENSE="NPL-1.1"
SLOT="60"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE="debug +jit minimal +system-icu test"
RESTRICT="ia64? ( test )"

Binary file not shown.

@ -12,7 +12,7 @@ HOMEPAGE="https://github.com/storaged-project/libbytesize"
SRC_URI="https://github.com/storaged-project/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~ia64 ~mips ~ppc ~ppc64 sparc ~x86"
KEYWORDS="alpha ~amd64 ~arm arm64 ~ia64 ~mips ~ppc ~ppc64 sparc ~x86"
IUSE="doc test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

@ -6,7 +6,7 @@ index f5d1dd9..60c09e3 100644
MAKE=make
JULIA=julia
CURLFLAGS = --retry 5 --location
+UDATA=/usr/share/unicode-data
+UDATA=${EPREFIX}/usr/share/unicode-data
.PHONY: clean

@ -26,8 +26,19 @@ PATCHES=(
"${FILESDIR}/${PN}-2.3.0-tests-nofetch.patch"
)
_emake() {
emake CC=$(tc-getCC) AR=$(tc-getAR) $@
}
src_compile() {
_emake
}
src_install() {
emake DESTDIR="${D}" prefix=/usr libdir=/usr/$(get_libdir) install
_emake DESTDIR="${D}" \
prefix="${EPREFIX}/usr" \
libdir="${EPREFIX}/usr/$(get_libdir)" \
install
# This package used to use netsurf's version as an upstream, which lives in
# its own little world. Unlike julia's version, it puts its header file
# in libutf8proc/utf8proc.h instead of utf8proc.h. The problem is that
@ -36,3 +47,7 @@ src_install() {
dodir /usr/include/libutf8proc
dosym ../utf8proc.h /usr/include/libutf8proc/utf8proc.h
}
src_test() {
_emake check
}

@ -1 +1,2 @@
DIST xxhash-0.6.5.tar.gz 37521 BLAKE2B cfd4268bdb9079108c436c057f37c1c23a13a89f8a3d6c936ab27d3b339dbca3fa88e8ddc4fc9878501d6875622edd2ba50f465b4c361f1eb42d8f7a8f8a6fbd SHA512 085643b52e091ac0eedd54c4459220b3643d825ca71a11e952d00ea2041c570ff57d8553d0378f34e038ca9ee3b40d2048ed02d44d5aff1fbfcbf5e642487ba0
DIST xxhash-0.7.0.tar.gz 52372 BLAKE2B e59a80ab3970f4830d0de17d3c91de1049fd671dba777d143fae2cf372970c717b6b586bfaca13c49c7dd2f57257d41ebad500632f25bc47125570ed715a47fa SHA512 2d7a06a5cabc945ac841df4451a744f0a666e4afcce77f5eea70bd68547ac46ebf776dd0e3645ef0204c7ff1dea3f5ff8228a8d9894dae0077f865ffdc123c66

@ -0,0 +1,34 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Extremely fast non-cryptographic hash algorithm"
HOMEPAGE="http://www.xxhash.com"
SRC_URI="https://github.com/Cyan4973/xxHash/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2 GPL-2+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~x64-macos"
IUSE="static-libs"
S="${WORKDIR}/xxHash-${PV}"
src_compile() {
PREFIX="${EPREFIX}/usr" \
LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
emake AR="$(tc-getAR)" CC="$(tc-getCC)"
}
src_install() {
PREFIX="${EPREFIX}/usr" \
LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
MANDIR="${EPREFIX}/usr/share/man/man1" \
emake DESTDIR="${D}" install
if ! use static-libs ; then
rm "${ED}"/usr/$(get_libdir)/libxxhash.a || die
fi
}

Binary file not shown.

@ -1,2 +1,3 @@
DIST catkin_pkg-0.4.10-gh.tar.gz 61272 BLAKE2B e4246d602fd8b8a8b8dda4f412aac4f88ae3328bf2602268566a0f761fa7c435412ae36f563e8082a2e0497c92ca302ea7505dfb32802d3ff00fe4323cd361b1 SHA512 55c2a03c922f647f25e74dce33486d09070c3089dfe2ae26d0673752298d6bb55652b9079b32694c9d80f52ae55fef2fac9f853b6d0b9d6121e6e8c233dc3530
DIST catkin_pkg-0.4.12-gh.tar.gz 61535 BLAKE2B 9b1a60cfc6bfda6e0f126f062cf62636df162577d693aaa07c4e7433f74383686224c31e0d567a95de20e2643c39f84781be3f82b39d9dfbbd1aed0dd397587e SHA512 227a6f07a46ab62d51f408a8aa08d57199a8f4d7c954421bf9a605fce3a0dc447c9379987bcacbed3bce139f00e95bd565286a530b7177acfc29a172da30f7dd
DIST catkin_pkg-0.4.9-gh.tar.gz 60919 BLAKE2B e7d4987022359fa7306df77ede2e07b2371bfa16b9787e513dd096ffe3988f9b7e6cbf61b96e00992334dadc6052811c20e0b7ea6c9198db332c1eac545c5031 SHA512 53e8440c0768b221526d134c5609c3088dd02e214150253469fe5883665936472486792db2d69c05fd352949f2350bda5960e71cd54e3f1d9164e0915c963295

@ -0,0 +1,55 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{2_7,3_5,3_6} pypy{,3} )
SCM=""
if [ "${PV#9999}" != "${PV}" ] ; then
SCM="git-r3"
EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
fi
inherit ${SCM} distutils-r1
DESCRIPTION="Standalone Python library for the catkin package system"
HOMEPAGE="http://wiki.ros.org/catkin_pkg"
if [ "${PV#9999}" != "${PV}" ] ; then
SRC_URI=""
KEYWORDS=""
else
SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
KEYWORDS="~amd64 ~arm"
fi
LICENSE="BSD"
SLOT="0"
IUSE="test"
RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/nose[${PYTHON_USEDEP}]
)
"
DEPEND="${RDEPEND} ${BDEPEND}
test? (
dev-python/flake8[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
)"
RDEPEND="${RDEPEND}
!<dev-util/catkin-0.7.14"
PATCHES=(
"${FILESDIR}/catkin_prefix2.patch"
"${FILESDIR}/ros_packages.patch"
"${FILESDIR}/infinite_loop3.patch"
)
python_test() {
nosetests -s --tests test || die
}

@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="~dev-python/grpcio-${PV}[${PYTHON_USEDEP}]
dev-python/protobuf-python[${PYTHON_USEDEP}]

@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
inherit distutils-r1 multiprocessing
DESCRIPTION="Protobuf code generator for gRPC"
HOMEPAGE="https://grpc.io"
@ -24,6 +24,7 @@ DEPEND="${RDEPEND}
"
python_compile() {
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
distutils-r1_python_compile
}

@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
inherit distutils-r1 multiprocessing
DESCRIPTION="Protobuf code generator for gRPC"
HOMEPAGE="https://grpc.io"
@ -24,6 +24,7 @@ DEPEND="${RDEPEND}
"
python_compile() {
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
distutils-r1_python_compile
}

@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
inherit distutils-r1 multiprocessing
DESCRIPTION="Protobuf code generator for gRPC"
HOMEPAGE="https://grpc.io"
@ -24,6 +24,7 @@ DEPEND="${RDEPEND}
"
python_compile() {
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
distutils-r1_python_compile
}

@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND="dev-python/cython[${PYTHON_USEDEP}]
~dev-python/grpcio-${PV}[${PYTHON_USEDEP}]

@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
inherit distutils-r1 multiprocessing
DESCRIPTION="High-performance RPC framework (python libraries)"
HOMEPAGE="https://grpc.io"
@ -33,5 +33,6 @@ python_compile() {
export GRPC_PYTHON_BUILD_SYSTEM_OPENSSL=1
export GRPC_PYTHON_BUILD_SYSTEM_ZLIB=1
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
distutils-r1_python_compile
}

@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
inherit distutils-r1 multiprocessing
DESCRIPTION="High-performance RPC framework (python libraries)"
HOMEPAGE="https://grpc.io"
@ -33,5 +33,6 @@ python_compile() {
export GRPC_PYTHON_BUILD_SYSTEM_OPENSSL=1
export GRPC_PYTHON_BUILD_SYSTEM_ZLIB=1
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
distutils-r1_python_compile
}

@ -4,7 +4,7 @@
EAPI=7
PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
inherit distutils-r1 multiprocessing
DESCRIPTION="High-performance RPC framework (python libraries)"
HOMEPAGE="https://grpc.io"
@ -34,5 +34,6 @@ python_compile() {
export GRPC_PYTHON_BUILD_SYSTEM_OPENSSL=1
export GRPC_PYTHON_BUILD_SYSTEM_ZLIB=1
export GRPC_PYTHON_BUILD_WITH_CYTHON=1
export GRPC_PYTHON_BUILD_EXT_COMPILER_JOBS="$(makeopts_jobs)"
distutils-r1_python_compile
}

@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm64 ~x86"
RDEPEND=">=dev-libs/openssl-1.0.2:0=[-bindist]
>=dev-python/cython-0.28.3[${PYTHON_USEDEP}]

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Mock object framework for Python"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="OpenStack Client Configuation Library"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="OpenStack Client Configuation Library"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -10,7 +10,7 @@ inherit distutils-r1
MY_PN="${PN//-/}"
DESCRIPTION="OpenStack Sphinx Extensions and Theme"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
LICENSE="Apache-2.0"

@ -12,7 +12,7 @@ if [[ ${PV} == *9999* ]] ; then
inherit git-r3
else
SRC_URI="https://dev.gentoo.org/~blueness/elfix/elfix-${PV}.tar.gz"
KEYWORDS="~alpha amd64 ~arm arm64 hppa ia64 ~mips ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 ~arm arm64 hppa ia64 ~mips ppc ppc64 sparc x86"
S="${WORKDIR}/elfix-${PV}"
fi

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="OpenStack Orchestration API Client Library"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="OpenStack Orchestration API Client Library"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="OpenStack Orchestration API Client Library"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Python bindings for the Ironic API"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Python bindings for the Ironic API"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Client Library for OpenStack Identity"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6} )
inherit distutils-r1
DESCRIPTION="Client Library for OpenStack Identity"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
inherit distutils-r1
DESCRIPTION="Client Library for OpenStack Identity"
HOMEPAGE="http://www.openstack.org/"
HOMEPAGE="https://www.openstack.org/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"

@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc ~x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh sparc x86 ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"
#RESTRICT="test"

Binary file not shown.

@ -1,5 +1,6 @@
DIST roscpp_core-0.6.10.tar.gz 35139 BLAKE2B 2f95e27d2986e777b65964959e0b94f2e3a01f055c781375718decfbb149c998713400d2e78f03e4983f5b303a3610a2e14ae049bf518608cc582c542c912bcd SHA512 a485f6cd536850002def9cf331a593c8d2b7406eb7235dbb6da8d571ce337e0d588adc61e0fb1dbc82b867cadf5ec9905e8966c018489bbec7eea738b2a4de1b
DIST roscpp_core-0.6.11.tar.gz 35153 BLAKE2B 2e13d5100851a0882b2027f7a7b7f4a6c7e8e74fb7ea01bd46ce32daf4a8791fc15f8757dc7298832cca5d0e7389c4702ae9dabcffe1f24902f9b6252a08c47f SHA512 a7d0b6148e0e284b95d12accdb06cba7ab0e7367ee0a88fff4e686af2a065cd92574fd8ec724599e23f5fdd13af5d1b084a453bdd10871e1539f2f7769b92e23
DIST roscpp_core-0.6.12.tar.gz 35606 BLAKE2B 5f249ce576e046b487a12fc1d598429741329b57f4226a6a0fa7b62e0a5a6fa0716814e0c8cd8a4d4378f8994ca1534530d410a8865d666397328047f12f821d SHA512 a84799ee67cf205c9c304433f70aaf80c8f19eac86bc0c9c3207aa0ae255f33b302b4ad9e37feeb5d95d7e2db9210679871548313612f220e06fef3db2357f89
DIST roscpp_core-0.6.7.tar.gz 34845 BLAKE2B cdb2385069a74d670061bc2245421e31216e1c9ace5c96f83d1875ddcf460f2ad425b10db3330253e2a49f3bc415cf3c72ab885cb121c9477ae54a385893a7b8 SHA512 d93afb6e0e88bb01b13af0334a7977411fac8f89dd06fc69a32b95bab4ead05d6cb564b089ee846fe542be180f6418664f8328a6a9e753a55b34e5a0a1d61bf4
DIST roscpp_core-0.6.8.tar.gz 35003 BLAKE2B 7b4c02652693f76326df83d17164d3268f8b0eda0ddfe8f73d286ae09d7fbb3f8f433ab92527167fb918b55c53aeaa4e26d6876dac51d9d35e0b18b185d89867 SHA512 5fa9f8714059fbc864583662cd411d64470565cc2c372a09a63708a8cc06140d2ce8b84a7025837a49f2c09c7fee5092ec42d5625de4bfd2d9410baf7821b5df
DIST roscpp_core-0.6.9.tar.gz 35069 BLAKE2B 5718611730419de3fd5dbd7c26792857c75306f4155916fe9570e494a0b1f0b9ca167a06654e1d5b1e1d20aa8cbd17c306bc91e7d0e803c8691d78c6c456fcec SHA512 87360695e71a020e869633c19187851242b84686b87842b388273f9874ff72e4e587eaf55dc10d099e55bc8db17c2ae7efdd5a9ff553a006b7f7c4ea5e1c84d9

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -8,14 +8,12 @@ ROS_SUBDIR=${PN}
inherit ros-catkin
DESCRIPTION="Code for serialization"
DESCRIPTION="C++ code for doing things that are not necessarily ROS related"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND="
dev-ros/cpp_common
dev-ros/rostime
dev-ros/roscpp_traits
"
dev-libs/console_bridge:=
dev-libs/boost:=[threads]"
DEPEND="${RDEPEND}"

@ -1,12 +1,2 @@
DIST ros-1.12.3.tar.gz 162506 BLAKE2B 79806b47e025fa7470db64e15af75e2db63bd9e71dd041c95a0d2337b706c0290ef5520ec8cb0d49a533fb25d204338033f9d9c97a918dd4d365c17373e7c0f0 SHA512 fe740f357959ed2cabcf0d902c7f1ebe6a7dedd11376ec76e5f47383b0b29b15127306255bea9adb3a48b2872a681a10302f9b0c4da4625c31bcc78522b66d7c
DIST ros-1.12.5.tar.gz 162845 BLAKE2B 4e0a7f19af528bea60eb3e6b93f9b2d27047474eace593c2411866dd26bf64c13386881e9d768930e64c309fe2aecb451024b236a298ce2473e8d39396be91bd SHA512 db67da9ba13afa516aea64d2d42cbfd07ddd7f87d5a6db7506a9f80af8eea0ac2bd85251a10b8f07a7384d3de869c46a354fa003d8e834a0ab5fdf26ed991314
DIST ros-1.13.1.tar.gz 165211 BLAKE2B 5fe15d28224a2c7fb39d9d2b6d5431e4cb22d71f79ac8443956e93c24913f2c0ade55342a95d5c524c66eeffe39aefcf113a4227343333c952b78d9d78b92db6 SHA512 7902fa33b4442feadd11ac8b965fbc7b94bbf9126320681bc83a067c5a2031f062ce0fe7585e482cac61c81cf2ef1b5dd92a37a4243908095d76869585962218
DIST ros-1.13.2.tar.gz 165502 BLAKE2B 97d9e32c3167c9e67cce0f2194ae650ef9275263aa70d162103cf86d032e8e94a3c0403e07c50c23087de48e8f66da3a25d4fd9ce9607e9584cf2866da4e6659 SHA512 d6a407ba1916667e7cae0f16f87d2a0ac49bc019195e423289e0f3380ca50404a21bcd8ee6212005bc3fa528ee7e8ae5dd0d993c5f213e5690509926f7984e26
DIST ros-1.13.3.tar.gz 165919 BLAKE2B e7c5ea1e42dfc7772b8a55ecd04fe3111b96b01da7dea7d1997fae3df95ab896dfc2450a774e8c6b9f6ba2de22a5bbc8a94eaad5362e9f337a449986cefb626e SHA512 0f09560d526e9a016984774e9c32978b347e99bfcf7ca74c00379a5cd2191e4b51675f6156090cb19a3626818a6babcd9b850f4a5b7ac0b249c6fe34c767630e
DIST ros-1.13.4.tar.gz 165984 BLAKE2B 591ff73ae9eaeb3e85cb95bd808cc957e5471feb765e9a06c3a3dc0026a8699ea673913d2e8352252c17edac16cf8030d142b9237ef1a11cfae3b1ed7d5e8753 SHA512 380bdf94a1cfde0981afe17bbcb45c17bcb6f5e8087b83394b372c9178ee33ba130f5347a39e2a71ce3b92eef2666c85480f41afd40807a0314cc606d83df6d8
DIST ros-1.13.5.tar.gz 167351 BLAKE2B a9a2b9aa4ca2fd9391eebe0f757cbd229d480f8be8b0f889c735b37719d910a661b0cf93efbb2aa9bd55241ec986e6526a4d3b3d734566817b0d8ec884157e94 SHA512 710b7d39d12f9990369f59e0af29ad506268d7482970a987793a38f9ad934a56ebe40bec461020482b0497df2dc169f9d42fb23742eba93d6de13e000be1f40d
DIST ros-1.14.0.tar.gz 167371 BLAKE2B 07a046b44a327febe2f5aa6793a27f8ee5547254500ade917484674aefd8b91d651c8f48c187704b4174659c3a983cd6a864f316180f2de4d45ef4f6e0c7cd86 SHA512 b3353eeb88b1e5db456ae796a9b869e540e71a7ff94327c7b2c0cfdc58af599793f4b4e36ec54a80059d938ea1d27ca87f4093ea2621c9267a642f99db3acb31
DIST ros-1.14.1.tar.gz 167768 BLAKE2B 1d4ec3b2af505be4995ade962c8d7c8f165af40b6911986e82d34c79baf8a3b36d553caa35395e006348bbae3e15b551831065b6185373e7451bafd444ac5d66 SHA512 b8d3ea058cd53d5ecd3aa3302ecdd89ef183cb0b58a0f39949e8215ffd7361111e0d926c3c8eb93bab7867d166870e9acc411c931df543f9ba9e5031739a399a
DIST ros-1.14.2.tar.gz 167882 BLAKE2B 7aadc3d06b02b58067a805613dd87cab3a97a0d0f2ddd79c496a63d75abba3444e2b624ff17308db910d9e1beca43b67d897f1358fbe4d9484a560da2de987f8 SHA512 9d848140bc694f0f2b86f8c9ef67e0279c5f05a73abe43f54aedb7439c7810346d136445c7195310e5f00e0a0cdfbbf6cbb004e7ab0b1427811ec8b0a73933d5
DIST ros-1.14.3.tar.gz 166640 BLAKE2B 191f3455853ff070d7a53352b801adad58b2c32d683994c96ce6dcab297a4032dc1ac313f9be7547596440a4179ecd38f743c4b02cac8326872f450a59847bc1 SHA512 60b8a38765539a7598c9725de56ef859022875c3b2c50636bf0a79c7aca653d0efd487ad60639362c90a6d983d9e76a8fbf565a91d53da21cfb4fa95bf7ac786
DIST ros-1.14.4.tar.gz 166818 BLAKE2B cbe56006ba8e318a9b94e67ea2035b209d206b6f2783c9a923c227ad92f932879a14d08cb076168159a5eb190e82e3375a70474ffae6305887086f8c0aaf3599 SHA512 ba6a25b5aae6786a9033ada747293b10e5aab2cf55b68fd8f40090f13dac7615b332993201795d6dac729dce0dcc4438df22f520bdca16c5ed127ad33eca1e9c
DIST ros-1.14.6.tar.gz 174375 BLAKE2B bb3c7b60c1d89ff2b219802c60fbb39ad54cb15250f6c17ef27f64a66e148bbf8da5b836ff38f0a83cf3e2fa3615ce298ef888c95607f6f33d8511a1bb04e6a5 SHA512 f30f33553aeae267b608b705b4e8b2502260ed47e3461c36da265318b5d78369a857e3fb67fc55f20f2dd9010bac6eda213bbe0442a142fbe223ebf34a48ea38

@ -1,18 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,18 +0,0 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,18 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,18 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,18 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,18 +0,0 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,18 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -16,3 +16,6 @@ IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"
RDEPEND="${DEPEND}
dev-ros/rospack
dev-ros/rosbuild"

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -16,3 +16,6 @@ IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"
RDEPEND="${DEPEND}
dev-ros/rospack
dev-ros/rosbuild"

@ -3,3 +3,4 @@ DIST ros-1.14.1.tar.gz 167768 BLAKE2B 1d4ec3b2af505be4995ade962c8d7c8f165af40b69
DIST ros-1.14.2.tar.gz 167882 BLAKE2B 7aadc3d06b02b58067a805613dd87cab3a97a0d0f2ddd79c496a63d75abba3444e2b624ff17308db910d9e1beca43b67d897f1358fbe4d9484a560da2de987f8 SHA512 9d848140bc694f0f2b86f8c9ef67e0279c5f05a73abe43f54aedb7439c7810346d136445c7195310e5f00e0a0cdfbbf6cbb004e7ab0b1427811ec8b0a73933d5
DIST ros-1.14.3.tar.gz 166640 BLAKE2B 191f3455853ff070d7a53352b801adad58b2c32d683994c96ce6dcab297a4032dc1ac313f9be7547596440a4179ecd38f743c4b02cac8326872f450a59847bc1 SHA512 60b8a38765539a7598c9725de56ef859022875c3b2c50636bf0a79c7aca653d0efd487ad60639362c90a6d983d9e76a8fbf565a91d53da21cfb4fa95bf7ac786
DIST ros-1.14.4.tar.gz 166818 BLAKE2B cbe56006ba8e318a9b94e67ea2035b209d206b6f2783c9a923c227ad92f932879a14d08cb076168159a5eb190e82e3375a70474ffae6305887086f8c0aaf3599 SHA512 ba6a25b5aae6786a9033ada747293b10e5aab2cf55b68fd8f40090f13dac7615b332993201795d6dac729dce0dcc4438df22f520bdca16c5ed127ad33eca1e9c
DIST ros-1.14.6.tar.gz 174375 BLAKE2B bb3c7b60c1d89ff2b219802c60fbb39ad54cb15250f6c17ef27f64a66e148bbf8da5b836ff38f0a83cf3e2fa3615ce298ef888c95607f6f33d8511a1bb04e6a5 SHA512 f30f33553aeae267b608b705b4e8b2502260ed47e3461c36da265318b5d78369a857e3fb67fc55f20f2dd9010bac6eda213bbe0442a142fbe223ebf34a48ea38

@ -1,18 +1,19 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=core/${PN}
ROS_SUBDIR=tools/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
DESCRIPTION="Assorted shell commands for using ros with bash"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"
PATCHES=( "${FILESDIR}/catkin_prefix2.patch" )

@ -3,3 +3,4 @@ DIST ros-1.14.1.tar.gz 167768 BLAKE2B 1d4ec3b2af505be4995ade962c8d7c8f165af40b69
DIST ros-1.14.2.tar.gz 167882 BLAKE2B 7aadc3d06b02b58067a805613dd87cab3a97a0d0f2ddd79c496a63d75abba3444e2b624ff17308db910d9e1beca43b67d897f1358fbe4d9484a560da2de987f8 SHA512 9d848140bc694f0f2b86f8c9ef67e0279c5f05a73abe43f54aedb7439c7810346d136445c7195310e5f00e0a0cdfbbf6cbb004e7ab0b1427811ec8b0a73933d5
DIST ros-1.14.3.tar.gz 166640 BLAKE2B 191f3455853ff070d7a53352b801adad58b2c32d683994c96ce6dcab297a4032dc1ac313f9be7547596440a4179ecd38f743c4b02cac8326872f450a59847bc1 SHA512 60b8a38765539a7598c9725de56ef859022875c3b2c50636bf0a79c7aca653d0efd487ad60639362c90a6d983d9e76a8fbf565a91d53da21cfb4fa95bf7ac786
DIST ros-1.14.4.tar.gz 166818 BLAKE2B cbe56006ba8e318a9b94e67ea2035b209d206b6f2783c9a923c227ad92f932879a14d08cb076168159a5eb190e82e3375a70474ffae6305887086f8c0aaf3599 SHA512 ba6a25b5aae6786a9033ada747293b10e5aab2cf55b68fd8f40090f13dac7615b332993201795d6dac729dce0dcc4438df22f520bdca16c5ed127ad33eca1e9c
DIST ros-1.14.6.tar.gz 174375 BLAKE2B bb3c7b60c1d89ff2b219802c60fbb39ad54cb15250f6c17ef27f64a66e148bbf8da5b836ff38f0a83cf3e2fa3615ce298ef888c95607f6f33d8511a1bb04e6a5 SHA512 f30f33553aeae267b608b705b4e8b2502260ed47e3461c36da265318b5d78369a857e3fb67fc55f20f2dd9010bac6eda213bbe0442a142fbe223ebf34a48ea38

@ -0,0 +1,19 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
ROS_REPO_URI="https://github.com/ros/ros"
KEYWORDS="~amd64 ~arm"
ROS_SUBDIR=tools/${PN}
PYTHON_COMPAT=( python{2_7,3_5} )
inherit ros-catkin
DESCRIPTION="Tool for determining cflags/lflags/etc. of boost on your system"
LICENSE="BSD"
SLOT="0"
IUSE=""
RDEPEND=""
DEPEND="${RDEPEND}"

@ -1,3 +1,4 @@
DIST ros-1.14.2.tar.gz 167882 BLAKE2B 7aadc3d06b02b58067a805613dd87cab3a97a0d0f2ddd79c496a63d75abba3444e2b624ff17308db910d9e1beca43b67d897f1358fbe4d9484a560da2de987f8 SHA512 9d848140bc694f0f2b86f8c9ef67e0279c5f05a73abe43f54aedb7439c7810346d136445c7195310e5f00e0a0cdfbbf6cbb004e7ab0b1427811ec8b0a73933d5
DIST ros-1.14.3.tar.gz 166640 BLAKE2B 191f3455853ff070d7a53352b801adad58b2c32d683994c96ce6dcab297a4032dc1ac313f9be7547596440a4179ecd38f743c4b02cac8326872f450a59847bc1 SHA512 60b8a38765539a7598c9725de56ef859022875c3b2c50636bf0a79c7aca653d0efd487ad60639362c90a6d983d9e76a8fbf565a91d53da21cfb4fa95bf7ac786
DIST ros-1.14.4.tar.gz 166818 BLAKE2B cbe56006ba8e318a9b94e67ea2035b209d206b6f2783c9a923c227ad92f932879a14d08cb076168159a5eb190e82e3375a70474ffae6305887086f8c0aaf3599 SHA512 ba6a25b5aae6786a9033ada747293b10e5aab2cf55b68fd8f40090f13dac7615b332993201795d6dac729dce0dcc4438df22f520bdca16c5ed127ad33eca1e9c
DIST ros-1.14.6.tar.gz 174375 BLAKE2B bb3c7b60c1d89ff2b219802c60fbb39ad54cb15250f6c17ef27f64a66e148bbf8da5b836ff38f0a83cf3e2fa3615ce298ef888c95607f6f33d8511a1bb04e6a5 SHA512 f30f33553aeae267b608b705b4e8b2502260ed47e3461c36da265318b5d78369a857e3fb67fc55f20f2dd9010bac6eda213bbe0442a142fbe223ebf34a48ea38

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -9,7 +9,7 @@ ROS_SUBDIR=core/${PN}
inherit ros-catkin
DESCRIPTION="A collection of .mk include files for building ROS architectural elements"
DESCRIPTION="Scripts for managing the CMake-based build system for ROS"
LICENSE="BSD"
SLOT="0"
IUSE=""

@ -1,5 +1 @@
DIST ros-1.14.0.tar.gz 167371 BLAKE2B 07a046b44a327febe2f5aa6793a27f8ee5547254500ade917484674aefd8b91d651c8f48c187704b4174659c3a983cd6a864f316180f2de4d45ef4f6e0c7cd86 SHA512 b3353eeb88b1e5db456ae796a9b869e540e71a7ff94327c7b2c0cfdc58af599793f4b4e36ec54a80059d938ea1d27ca87f4093ea2621c9267a642f99db3acb31
DIST ros-1.14.1.tar.gz 167768 BLAKE2B 1d4ec3b2af505be4995ade962c8d7c8f165af40b6911986e82d34c79baf8a3b36d553caa35395e006348bbae3e15b551831065b6185373e7451bafd444ac5d66 SHA512 b8d3ea058cd53d5ecd3aa3302ecdd89ef183cb0b58a0f39949e8215ffd7361111e0d926c3c8eb93bab7867d166870e9acc411c931df543f9ba9e5031739a399a
DIST ros-1.14.2.tar.gz 167882 BLAKE2B 7aadc3d06b02b58067a805613dd87cab3a97a0d0f2ddd79c496a63d75abba3444e2b624ff17308db910d9e1beca43b67d897f1358fbe4d9484a560da2de987f8 SHA512 9d848140bc694f0f2b86f8c9ef67e0279c5f05a73abe43f54aedb7439c7810346d136445c7195310e5f00e0a0cdfbbf6cbb004e7ab0b1427811ec8b0a73933d5
DIST ros-1.14.3.tar.gz 166640 BLAKE2B 191f3455853ff070d7a53352b801adad58b2c32d683994c96ce6dcab297a4032dc1ac313f9be7547596440a4179ecd38f743c4b02cac8326872f450a59847bc1 SHA512 60b8a38765539a7598c9725de56ef859022875c3b2c50636bf0a79c7aca653d0efd487ad60639362c90a6d983d9e76a8fbf565a91d53da21cfb4fa95bf7ac786
DIST ros-1.14.4.tar.gz 166818 BLAKE2B cbe56006ba8e318a9b94e67ea2035b209d206b6f2783c9a923c227ad92f932879a14d08cb076168159a5eb190e82e3375a70474ffae6305887086f8c0aaf3599 SHA512 ba6a25b5aae6786a9033ada747293b10e5aab2cf55b68fd8f40090f13dac7615b332993201795d6dac729dce0dcc4438df22f520bdca16c5ed127ad33eca1e9c
DIST ros-1.14.6.tar.gz 174375 BLAKE2B bb3c7b60c1d89ff2b219802c60fbb39ad54cb15250f6c17ef27f64a66e148bbf8da5b836ff38f0a83cf3e2fa3615ce298ef888c95607f6f33d8511a1bb04e6a5 SHA512 f30f33553aeae267b608b705b4e8b2502260ed47e3461c36da265318b5d78369a857e3fb67fc55f20f2dd9010bac6eda213bbe0442a142fbe223ebf34a48ea38

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save